Jump to content

thinkliberty

Members
  • Posts

    94
  • Joined

  • Last visited

Everything posted by thinkliberty

  1. Use this as a template and place it in /etc/init.d Then use the services menu in the mandrake control center to run the script at runlevel 2, 3 , 4 and 5 #!/sbin/runscript # # start stop script # /etc/init.d/custom-init-script depend() { need net } checkconfigstart() { if [ ! -e "/path/to/startscript.sh" ]; then eerror "You need a script to run first" eerror "make sure that you chmod +x the .sh" return 1 fi } checkconfigstop() { if [ ! -e "/path/to/startscript.sh" ]; then eerror "You need a script to run first" eerror "make sure that you chmod +x the .sh" return 1 fi } start() { checkconfigstart || return 1 ebegin "put what your script does here IE: loading wireless card" /path/to/startscript.sh eend $? } stop() { checkconfigstop || return 1 ebegin "put what your script does here IE: stoping wireless card" /path/to/stopscript.sh eend $? }
  2. Use wizdrake and run through the WWW wizard ;) then using 127.0.0.1 will bring up a website
  3. No it will not run at hibernate resume. You would have to use and modify the hibernate scripts (usually it is in /usr/sbin/hibernate)at the begining for hibernate and at the end for resume. to run a script that will update your bookmarks. The hibernation stuff for linux can be found here: http://softwaresuspend.berlios.de/
  4. You could use something like this... and then pick your runlevels to have it start and stop... #!/sbin/runscript # # start stop script # /etc/init.d/syncbooks depend() { need net } checkconfig() { if [ ! -e "/sbin/syncfirefoxbooksifneededscript.sh" ]; then eerror "You need a script to run first" eerror "make sure that you chmod +x the .sh" return 1 fi } start() { checkconfig || return 1 ebegin "copying bookmarks if needed" /sbin/syncfirefoxbooksifneededscript.sh eend $? } stop() { ebegin "bookmarks syncing" /sbin/syncfirefoxbooks.sh eend $? }
  5. Install c-kermit and use a script like this You can download c-kermit from:.http://www.columbia.edu/kermit/ck80binaries.html #!/usr/bin/kermit + # script from # http://www.columbia.edu/kermit/ftpscripts.html while true { ftp open FTP.EXAMPLE.COM /user:<DA USER> /password:<DA PASSWORD> if fail exit 1 Can't reach host if not \v(ftp_loggedin) exit 1 FTP login failed ftp cd <NAME OF DIRECTORY TO UPLOAD FILES> if fail exit 1 Directory change failed while true { ftp put <NAME OF FILE 1> ftp put <NAME OF FILE 2> ftp put <NAME OF FILE 3> ftp put /recursive <NAME OF DIRECTORY 1>/* ftp put /recursive <NAME OF DIRECTORY 2>/* if success goto done if not \v(ftp_connected) break } ftp bye } :done exit Although I would use ssh via scp for uploading files. That way your scripts don't need a password in them and your password is not transmitted via plain text.
  6. Yep you are right SoulSe.. last time I used a DRI supported gfx card it was not in the kernel... here is a link to a howto to enable DRI:... http://www.gentoo.org/doc/en/dri-howto.xml
  7. DRI is not in the kernel you configure it in /etc/X11/xorg.conf To enable it add In "section "Module" Load dri and then at the bottom the file add Section "DRI" Mode 0666 EndSection
  8. uninstall 3.4 and install gcc2.96 It should be on CD1... 2.96-cpp-2.96-0.83mdk.i586.rpm
  9. Type gcc --verison To get the verision of gcc you are running GCC is an RPM in Mandrake you can use the search function in gurpmi to find and install it...
  10. You have either A compiler error. to fix this roll back to an earlier version of GCC. Or A memory management bug in your current kernel. install another kernel via rpm and try recompiling in the new rpm kernel
  11. Oops I see your problem. You are loading the nvidia driver and the nv driver. you have to pick one or the other ;P Post your /etc/X11/xorg.conf file If you need help fixing it.
  12. What version of the Nvidia driver are you using? have you tried installing the nvidia driver from the install script from nvidia's website?
  13. BTW. how much space left do you have on your /var and /usr partions?
  14. It will not work unless you have all the rpm's and It looks like you have a corrupt rpm. Although you may need to fix your rpm database. you an do this by typing (as root of course) rpm --rebuilddb
  15. Can you ping yourself from the linux machine? Does your linksys router support pinging in the admin screen? (the linksys router I have does) Can you ping your linux box from the router? If yes try using a live linux cd to boot your windows and ping your linux machine... If no check your /etc/hosts.deny (are you running portsentry? ) If only windows can't ping it Are you using a firewall in windows? zonealarm, winxp built-in firewall thingy? turn it off. The next step after this would be to use ethereal to sniff the network if you still cannot ping the linux box...
  16. Place all the following files in the same directory/folder by themselves libxorg-x11-6.8.1-7.mdk10.1.thac.i586 libxorg-x11-devel-6.8.1-7.mdk10.1.thac.i586 xorg-x11-100dpi-fonts-6.8.1-7.mdk10.1.thac.i586 xorg-x11-6.8.1-7.mdk10.1.thac.i586 xorg-x11-75dpi-fonts-6.8.1-7.mdk10.1.thac.i586 xorg-x11-Xnest-6.8.1-7.mdk10.1.thac.i586 xorg-x11-server-6.8.1-7.mdk10.1.thac.i586 xorg-x11-xfs-6.8.1-7.mdk10.1.thac.i586 open the console in the directory/folder that these files are in and type rpm -Uvh *.rpm what errors do you get now?
  17. Your /etc/hosts file is messed up you need to modify it for the connection type you are using if you switch network connections... OR you to make sure that your hostname in /etc/hosts and /etc/rc.conf are the same.... You also need to make sure that if you are using dhcp to get your ip address that it is not changing your hostname from something like loclhost.localdomain to something like myispnode.ipaddyfromisp.ispname.com KDE slows down when this happens....
  18. open the konsole :P and type hostname domainname I'll bet one is missing. KDE runs slow if you have no hostname or domainname
  19. Maybe you did not compile support in the kernel for the filesystem you are trying to mount? Also make sure it is not a kernel module.
  20. In my experience (mdk7-mdk10) I have always had more than 1 kernel (the mdk and vanilla kernels) and there were no slow downs or crashes of any kind because of this. (other than drivers loading from the wrong kernel. when moving from a new kernel to an old one like nvidia's)
  21. Certain version of the NVIDIA closed source driver will update your opengl libs, which KDE links to. If you install the nvidia driver and roll back to the nv driver it will crash things that link to the old opengl libs...
  22. It looks like iptables is A) Not installed B) Not in your PATH Type as root 'updatedb' then 'slocate iptables' then 'set' to check if iptables is in a directory in your path. (it's normally in /sbin) Also make sure that iptables is running as a service..
  23. Place it in /etc/init.d you can go in to the services and select the runlevel you want your script to run.
  24. For a file name like: this is the name.iso you would use this\ is\ the\ name.iso the back slash lets you use a space... If fstab wont mount the file because the path has spaces... try using a symlink ln -s /path/to/file /mnt/symlinktofile.iso and try mounting the symlink via fstab. The other thing to do would be write a shell script to manually mount the drive and have it run at boot (look in /etc/init.d for samples on how to write this script) If you need help writing the script let me know what the path to the iso file is and I will write it for you.
  25. A company already offers this kind of service for ~$10 US a month see: http://www.workspot.com/
×
×
  • Create New...